package com.fs.qw.service.impl;


import com.fs.qw.domain.QwFriendCircleTask;
import com.fs.qw.mapper.QwFriendCircleTaskMapper;
import com.fs.qw.service.IQwFriendCircleTaskService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 客户朋友圈执行情况Service业务层处理
 * 
 * @author fs
 * @date 2024-09-18
 */
@Service
public class QwFriendCircleTaskServiceImpl implements IQwFriendCircleTaskService
{
    @Autowired
    private QwFriendCircleTaskMapper qwFriendCircleTaskMapper;

    /**
     * 查询客户朋友圈执行情况
     * 
     * @param id 客户朋友圈执行情况主键
     * @return 客户朋友圈执行情况
     */
    @Override
    public QwFriendCircleTask selectQwFriendCircleTaskById(Long id)
    {
        return qwFriendCircleTaskMapper.selectQwFriendCircleTaskById(id);
    }

    /**
     * 查询客户朋友圈执行情况列表
     * 
     * @param qwFriendCircleTask 客户朋友圈执行情况
     * @return 客户朋友圈执行情况
     */
    @Override
    public List<QwFriendCircleTask> selectQwFriendCircleTaskList(QwFriendCircleTask qwFriendCircleTask)
    {
        return qwFriendCircleTaskMapper.selectQwFriendCircleTaskList(qwFriendCircleTask);
    }

    /**
     * 新增客户朋友圈执行情况
     * 
     * @param qwFriendCircleTask 客户朋友圈执行情况
     * @return 结果
     */
    @Override
    public int insertQwFriendCircleTask(QwFriendCircleTask qwFriendCircleTask)
    {
        return qwFriendCircleTaskMapper.insertQwFriendCircleTask(qwFriendCircleTask);
    }

    /**
     * 修改客户朋友圈执行情况
     * 
     * @param qwFriendCircleTask 客户朋友圈执行情况
     * @return 结果
     */
    @Override
    public int updateQwFriendCircleTask(QwFriendCircleTask qwFriendCircleTask)
    {
        return qwFriendCircleTaskMapper.updateQwFriendCircleTask(qwFriendCircleTask);
    }

    /**
     * 批量删除客户朋友圈执行情况
     * 
     * @param ids 需要删除的客户朋友圈执行情况主键
     * @return 结果
     */
    @Override
    public int deleteQwFriendCircleTaskByIds(Long[] ids)
    {
        return qwFriendCircleTaskMapper.deleteQwFriendCircleTaskByIds(ids);
    }

    /**
     * 删除客户朋友圈执行情况信息
     * 
     * @param id 客户朋友圈执行情况主键
     * @return 结果
     */
    @Override
    public int deleteQwFriendCircleTaskById(Long id)
    {
        return qwFriendCircleTaskMapper.deleteQwFriendCircleTaskById(id);
    }
}
